Timekit developers

GET List all group bookings

Return all available (tentative) group bookings

For a complete tutorial on working with group bookings, head on over to our help center: http://help.timekit.io/working-with-the-api/bookings/group-bookings

When you want to publicly list all available group bookings for customers to sign up for, you should use this endpoint. It will only include information about the owner event itself and doesn't include sensitive information about customers etc.

Group bookings with no seats left are not returned.

Endpoint

GET https://api.timekit.io/v2/bookings/groups

Parameters

Name In Type Required Default Description
limit query int 1000 Pagination limit intervals (X means first X is returned)
page query int 1 Which pagination interval to retrieve (set limit for interval size)
search query string Add 1 or more search criteria to your query. Supported criteria are resource.id (or user.id), project.id, widget.id and meta.*. The customer, calendar, service and location criteria from the /bookings endpoint do not apply here.
start query datetime Only return group bookings within this period, must be accompanied by end. Without start and end, only group bookings that start in the future are returned.
end query datetime Only return group bookings within this period, must be accompanied by start.

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/bookings/groups \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7

Response examples

200

json
{
  "data": [
    {
      "id": "0dad9c8f-2801-4b6f-b898-7c69063bed0d",
      "state": "tentative",
      "graph": "group_owner",
      "completed": false,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "attributes": {
        "group_booking": {
          "max_seats": 20,
          "current_seats": 0
        },
        "event_info": {
          "start": "2016-09-30T08:00:00+00:00",
          "end": "2016-09-30T09:00:00+00:00",
          "what": "Doc Brown's 1st lecture on flux capacitance",
          "where": "Hill Valley High School, CA 95420, USA",
          "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
          "description": "Please arrive 10 minutes before the lecture begins"
        }
      }
    },
    {
      "id": "a1ebdd9d-db42-4cd3-a915-0202a034284a",
      "state": "tentative",
      "graph": "group_owner",
      "completed": false,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "attributes": {
        "group_booking": {
          "max_seats": 20,
          "current_seats": 0
        },
        "event_info": {
          "start": "2016-10-06T08:00:00+00:00",
          "end": "2016-10-06T09:00:00+00:00",
          "what": "Doc Brown's 2nd lecture on flux capacitance",
          "where": "Hill Valley High School, CA 95420, USA",
          "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
          "description": "Please arrive 10 minutes before the lecture begins"
        }
      }
    }
  ]
}
Last edited 6 October 2026.